Bug 887138 - [abrt] xfwm4-4.8.3-2.fc17: _M_lower_bound: Process /usr/bin/xfwm4 was killed by signal 11 (SIGSEGV)
Summary: [abrt] xfwm4-4.8.3-2.fc17: _M_lower_bound: Process /usr/bin/xfwm4 was killed ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b72a1723bd8537a1581967522f1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 06:26 UTC by Herman
Modified: 2013-08-01 17:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 17:38:27 UTC
Type: ---


Attachments (Terms of Use)
File: environ (1.43 KB, text/plain)
2012-12-14 06:26 UTC, Herman
no flags Details
File: backtrace (14.49 KB, text/plain)
2012-12-14 06:26 UTC, Herman
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: cgroup (127 bytes, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: smolt_data (2.29 KB, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: executable (14 bytes, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: maps (37.09 KB, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: build_ids (2.60 KB, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details
File: open_fds (274 bytes, text/plain)
2012-12-14 06:27 UTC, Herman
no flags Details

Description Herman 2012-12-14 06:26:17 UTC
Version-Release number of selected component:
xfwm4-4.8.3-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 2068c6727-95f8-4140-ac6f-69e2bd9145ba
crash_function: _M_lower_bound
kernel:         3.6.9-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #0 _M_lower_bound at /usr/include/c++/4.7.2/bits/stl_tree.h:1098
: #1 std::_Rb_tree<_GtkWidget*, std::pair<_GtkWidget* const, Oxygen::Signal>, std::_Select1st<std::pair<_GtkWidget* const, Oxygen::Signal> >, std::less<_GtkWidget*>, std::allocator<std::pair<_GtkWidget* const, Oxygen::Signal> > >::find at /usr/include/c++/4.7.2/bits/stl_tree.h:1544
: #2 find at /usr/include/c++/4.7.2/bits/stl_map.h:749
: #3 Oxygen::WindowManager::unregisterBlackListWidget at /usr/src/debug/oxygen-gtk2-1.3.1/src/oxygenwindowmanager.cpp:205
: #4 Oxygen::WindowManager::wmBlackListDestroy at /usr/src/debug/oxygen-gtk2-1.3.1/src/oxygenwindowmanager.cpp:246
: #9 gtk_object_dispose at gtkobject.c:421
: #11 myScreenClose at screen.c:359
: #12 cleanUp at main.c:156

Comment 1 Herman 2012-12-14 06:26:54 UTC
Created attachment 663383 [details]
File: environ

Comment 2 Herman 2012-12-14 06:26:58 UTC
Created attachment 663384 [details]
File: backtrace

Comment 3 Herman 2012-12-14 06:27:01 UTC
Created attachment 663385 [details]
File: limits

Comment 4 Herman 2012-12-14 06:27:04 UTC
Created attachment 663386 [details]
File: cgroup

Comment 5 Herman 2012-12-14 06:27:07 UTC
Created attachment 663387 [details]
File: smolt_data

Comment 6 Herman 2012-12-14 06:27:10 UTC
Created attachment 663388 [details]
File: executable

Comment 7 Herman 2012-12-14 06:27:16 UTC
Created attachment 663389 [details]
File: maps

Comment 8 Herman 2012-12-14 06:27:18 UTC
Created attachment 663390 [details]
File: build_ids

Comment 9 Herman 2012-12-14 06:27:21 UTC
Created attachment 663391 [details]
File: proc_pid_status

Comment 10 Herman 2012-12-14 06:27:24 UTC
Created attachment 663392 [details]
File: open_fds

Comment 11 Kevin Fenzi 2012-12-14 17:00:35 UTC
What were you doing when this happened?

Can you duplicate it?

Comment 12 Fedora End Of Life 2013-07-04 06:09:58 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2013-08-01 17:38:31 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.